curl --request PUT \
--url https://api.dfns.io/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"url": "<string>",
"description": "<string>",
"events": [
"policy.triggered"
],
"status": "Enabled"
}
'{
"id": "<string>",
"url": "<string>",
"events": [
"policy.triggered"
],
"status": "Enabled",
"dateCreated": "<string>",
"dateUpdated": "<string>",
"secret": "<string>",
"description": "<string>"
}Update the definition of an existing webhook.
curl --request PUT \
--url https://api.dfns.io/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"url": "<string>",
"description": "<string>",
"events": [
"policy.triggered"
],
"status": "Enabled"
}
'{
"id": "<string>",
"url": "<string>",
"events": [
"policy.triggered"
],
"status": "Enabled",
"dateCreated": "<string>",
"dateUpdated": "<string>",
"secret": "<string>",
"description": "<string>"
}CustomerEmployee)EndUser)Webhooks:Update: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
1Webhook url
256All events this webhook is subscribed to.
1WebhookEventKind
policy.triggered, policy.approval.pending, policy.approval.resolved, key.created, key.deleted, key.delegated, key.exported, wallet.blockchainevent.detected, wallet.created, wallet.activated, wallet.delegated, wallet.exported, wallet.signature.failed, wallet.signature.rejected, wallet.signature.requested, wallet.signature.signed, wallet.transaction.broadcasted, wallet.transaction.confirmed, wallet.transaction.failed, wallet.transaction.rejected, wallet.transaction.requested, wallet.transfer.broadcasted, wallet.transfer.confirmed, wallet.transfer.failed, wallet.transfer.rejected, wallet.transfer.requested, wallet.offer.received, wallet.offer.accepted, wallet.offer.rejected, wallet.offer.withdrawn, wallet.tags.modified, payout.action.required Webhook status
Enabled, Disabled Success
Webhook ID
Webhook url
All events this webhook is subscribed to.
WebhookEventKind
policy.triggered, policy.approval.pending, policy.approval.resolved, key.created, key.deleted, key.delegated, key.exported, wallet.blockchainevent.detected, wallet.created, wallet.activated, wallet.delegated, wallet.exported, wallet.signature.failed, wallet.signature.rejected, wallet.signature.requested, wallet.signature.signed, wallet.transaction.broadcasted, wallet.transaction.confirmed, wallet.transaction.failed, wallet.transaction.rejected, wallet.transaction.requested, wallet.transfer.broadcasted, wallet.transfer.confirmed, wallet.transfer.failed, wallet.transfer.rejected, wallet.transfer.requested, wallet.offer.received, wallet.offer.accepted, wallet.offer.rejected, wallet.offer.withdrawn, wallet.tags.modified, payout.action.required Webhook status
Enabled, Disabled Date when webhook was created
Date when webhook was last updated
The secret associated with this webhook, with which webhook requests will be signed.
Short description this webhook's purpose
Was this page helpful?